# -*- encoding: utf-8 -*-
# stub: opsmgr 0.35.10 ruby lib

Gem::Specification.new do |s|
  s.name = "opsmgr".freeze
  s.version = "0.35.10"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Release Engineering".freeze]
  s.date = "2016-11-02"
  s.description = "Shared tooling for teams maintaining Ops Manager tiles".freeze
  s.email = ["cf-release-releng@pivotal.io".freeze]
  s.extra_rdoc_files = ["sample_env_files/aws.yml".freeze, "sample_env_files/vsphere.yml".freeze, "LEGAL.txt".freeze]
  s.files = ["LEGAL.txt".freeze, "sample_env_files/aws.yml".freeze, "sample_env_files/vsphere.yml".freeze]
  s.licenses = ["No License".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Shared tooling for teams maintaining Ops Manager tiles".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rake>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<multipart-post>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sinatra>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<open4>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<aws-sdk>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<recursive-open-struct>.freeze, ["~> 0.5.0"])
    s.add_runtime_dependency(%q<vm_shepherd>.freeze, ["~> 3.3.0"])
    s.add_runtime_dependency(%q<ops_manager_ui_drivers>.freeze, ["~> 2.34.1"])
    s.add_runtime_dependency(%q<mustache>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<capybara>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<capybara-webkit>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<bosh_cli>.freeze, ["~> 1.3215.3"])
    s.add_development_dependency(%q<colorize>.freeze, [">= 0"])
    s.add_development_dependency(%q<fakefs>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.39"])
    s.add_development_dependency(%q<webmock>.freeze, ["= 1.24.2"])
    s.add_development_dependency(%q<timecop>.freeze, [">= 0"])
    s.add_development_dependency(%q<vcr>.freeze, [">= 0"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<multipart-post>.freeze, [">= 0"])
    s.add_dependency(%q<sinatra>.freeze, [">= 0"])
    s.add_dependency(%q<open4>.freeze, [">= 0"])
    s.add_dependency(%q<aws-sdk>.freeze, [">= 0"])
    s.add_dependency(%q<recursive-open-struct>.freeze, ["~> 0.5.0"])
    s.add_dependency(%q<vm_shepherd>.freeze, ["~> 3.3.0"])
    s.add_dependency(%q<ops_manager_ui_drivers>.freeze, ["~> 2.34.1"])
    s.add_dependency(%q<mustache>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<capybara>.freeze, [">= 0"])
    s.add_dependency(%q<capybara-webkit>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<bosh_cli>.freeze, ["~> 1.3215.3"])
    s.add_dependency(%q<colorize>.freeze, [">= 0"])
    s.add_dependency(%q<fakefs>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.39"])
    s.add_dependency(%q<webmock>.freeze, ["= 1.24.2"])
    s.add_dependency(%q<timecop>.freeze, [">= 0"])
    s.add_dependency(%q<vcr>.freeze, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
  end
end
